AO-DUMPLOG(1)

NAME
ao-dumplog - Store flight log from TeleMetrum device

SYNOPSIS
ao-dumplog [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] [--R] [--remote]

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device ao-dumplog uses to communicate with the target device.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMetrum:2
    TeleMetrum
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-R | --remote
    This uses the command radio link to download the log from TeleMetrum through a TeleDongle.

DESCRIPTION
ao-dumplog downloads the flight log from a connected TeleMetrum device and stores it to the configured flight log directory using a name of the form

    yyyy-mm-dd-serialP-sss-flight-fff.eeprom

yyyy is the current year
mm is the current month
dd is the current day
sss is the device serial number
fff is a flight sequence number (to make filenames unique)

USAGE
ao-dumplog connects to the specified target device and dumps the stored flight log.

AUTHOR
Keith Packard